Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Create a payment schedule scheme

Idempotency Supported

Creates a payment schedule scheme. After creating a payment schedule scheme, you can use it to generate payment schedules for multiple invoices.

Sample Request

Create 3 payment schedules collected monthly

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/payment_schedule_schemes

Input Parameters

number_of_schedules
required, integer, min=1, max=52

Specifies the total number of payment schedules for the invoice. The maximum number_of_schedules varies based on the period_unit : - Day: Up to 30 schedules

  • Week: Up to 52 schedules
  • Month: Up to 12 schedules
period_unit
required, enumerated string

Defines the time unit for intervals between payment schedules. Possible values are: day, week, and month.

Enum Values
day

When the time unit for intervals between payment schedules is set as day

week

When the time unit for intervals between payment schedules is set as week

month

When the time unit for intervals between payment schedules is set as month

period
optional, integer, min=1, max=30

The time period between the effective dates of two consecutive payment schedules, expressed in period_units. Use this parameter to have fixed intervals between payment schedules. The maximum period varies based on the period_unit : - Day: Up to 30 days

  • Week: Up to 6 weeks
  • Month: Up to 6 months
name
required, string, max chars=100

The name of a payment schedule scheme.

flexible_schedules[0..n]
Parameters for flexible_schedules. Multiple flexible_schedules can be passed by specifying unique indices.
pass parameters as flexible_schedules[<param name>][<idx:0..n>]

Returns

Payment schedule scheme object
Resource object representing payment_schedule_scheme